GET
/api/v1/health/pingHealth_Ping
- Authentication
- public
- Cache policy
- none
- Success and errors
- 200, 500
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Health_Ping",
"summary": "GET /api/v1/health/ping",
"tags": [
"Health"
],
"parameters": [],
"security": [
{},
{
"apiKeyAuth": []
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"data": {
"type": "object",
"properties": {
"pong": {
"type": "boolean",
"const": true
},
"ts": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
}
},
"required": [
"pong",
"ts"
],
"additionalProperties": false
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"required": [
"data",
"meta"
],
"additionalProperties": false
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "public",
"x-cache-policy": "none",
"x-required-scopes": [
"public:read"
],
"x-rate-cost": 1,
"x-stability": "STABLE"
}